# $Revision: 1.14BL1 $, $Date: 2010/03/16 15:29:40 $
#TODO:
# - init script, and choice daemon/cron in /etc/sysconfig/ocsinventory-agent (example in debian)

Summary:	OCS-ng Inventory agent for PLD systems
Summary(pl.UTF-8):	Agent OCS-ng Inventory dla systemów PLD
Name:		ocs-inventory-ng-client
Version:	1.1.2
Release:	1BL1
License:	GPL
Group:		Networking/Daemons
Source0:	http://dl.sourceforge.net/ocsinventory/Ocsinventory-Agent-%{version}.tar.gz
# Source0-md5:	749501586e0c634680c13000b3b2851e
Source1:        %{name}.logrotate
Source2:	%{name}.cron
Source3:        %{name}.sysconfig
URL:		http://www.ocsinventory-ng.org/
BuildRequires:	perl-devel >= 1:5.6
BuildRequires:	perl-ExtUtils-MakeMaker
Requires:	perl-Net-SSLeay
Requires:	perl-Digest-MD5
Requires:	perl-XML-Simple >= 2.12
Requires:	dmidecode
Requires:	perl-Net-IP >= 1.21
Requires:	perl-IO-Compress
Requires:	perl-XML-Simple
Suggests:	dmidecode
Suggests:	nmap
Suggests:	pciutils
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
OCS-ng Inventory agent for PLD systems.

%description -l pl.UTF-8
Agent OCS-ng Inventory dla systemów PLD.

%prep
%setup -q -n Ocsinventory-Agent-%{version}

# undos the source
find '(' -name '*.php' -o -name '*.inc' -o  -name '*.conf' -o  -name '*.htc' -o  -name '*.js' -o  -name '*.dtd' -o  -name '*.pm' -o  -name '*.css' ')' -print0 | xargs -0 sed -i -e 's,\r$,,'

# remove script for migration from old or make new configuration files 
mv postinst.pl postinst.pl.old
touch postinst.pl

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir}/%{name},%{_sysconfdir}/{sysconfig,logrotate.d,ocsinventory-agent,cron.daily}}
install -d $RPM_BUILD_ROOT{%{_var}/{log/ocsinventory-agent,lib/ocsinventory-agent},%{_bindir},/bin}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

ln -s %{_bindir}/ocsinventory-agent $RPM_BUILD_ROOT/bin/ocsinv
ln -s /etc/sysconfig/ocsinventory-agent $RPM_BUILD_ROOT%{_sysconfdir}/ocsinventory-agent/ocsinventory-agent
install %SOURCE1 $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/ocsinventory-agent
install %SOURCE2 $RPM_BUILD_ROOT%{_sysconfdir}/cron.daily/ocsinventory-agent
install %SOURCE3 $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/ocsinventory-agent

%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/auto/Ocsinventory/Agent/.packlist
%{__rm} $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README 
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/ocsinventory-agent
%dir %{_sysconfdir}/ocsinventory-agent
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ocsinventory-agent/ocsinventory-agent
%attr(750,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/cron.daily/ocsinventory-agent
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sysconfig/ocsinventory-agent
#%{_sysconfdir}/init.d/ocsinventory-agent
%attr(755,root,root) %{_bindir}/ocsinventory-agent
%attr(755,root,root) /bin/ocsinv
%{_datadir}/%{name}/
%dir %{perl_vendorlib}/Ocsinventory
%{perl_vendorlib}/Ocsinventory/*.pm
%{perl_vendorlib}/Ocsinventory/*.pl
%dir %{perl_vendorlib}/Ocsinventory/LoggerBackend
%{perl_vendorlib}/Ocsinventory/LoggerBackend/*.pm
%dir %{perl_vendorlib}/Ocsinventory/Agent
%{perl_vendorlib}/Ocsinventory/Agent/*
%dir %{_var}/log/ocsinventory-agent
%{_mandir}/man1/ocsinventory-agent.1p.gz
%{_mandir}/man3/Ocsinventory::Agent::XML::Inventory.3pm.gz

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ocs-inventory-ng-client.spec,v $
Revision 1.14BL1  2010/03/16 15:29:40  bartoszl@ics.p.lodz.pl
- up to 1.1.2

Revision 1.14  2009/12/15 13:29:40  amateja
- replaced obsolete R: perl-Compress-Zlib with perl-IO-Compress

Revision 1.13  2009/10/23 16:40:17  wolvverine
- add to cron logfile

Revision 1.12  2009/10/19 16:21:56  wolvverine
- clean

Revision 1.11  2009/10/19 16:17:06  wolvverine
- correct suggest packages

Revision 1.10  2009/10/19 15:46:22  wolvverine
- add suggest packages for x86/x86_64

Revision 1.9  2009/10/19 15:32:59  wolvverine
- ready to use from cron (prefered), TODO: use as demon

Revision 1.8  2009/10/12 13:22:58  wolvverine
- not run postinst.pl

Revision 1.7  2009/10/09 15:33:04  wolvverine
- correct

Revision 1.6  2009/10/09 15:30:44  wolvverine
- daily cron

Revision 1.5  2009/10/09 15:28:22  wolvverine
- conf

Revision 1.4  2009/10/09 14:48:04  wolvverine
- correct R, NFY

Revision 1.3  2009/10/09 14:41:20  wolvverine
- up to 1.02, NFY

Revision 1.2  2008/03/02 17:10:02  wolvverine
- correct %files

Revision 1.1  2008-03-02 03:46:08  wolvverine
- init

